import { BigNumber, ContractTransaction } from 'ethers';
import { IBlockchainProperties } from './BlockchainProperties';
import { Certificate, IClaimData, IData } from './Certificate';
export interface CertificateInfoInBatch extends IData {
    to: string;
    amount: BigNumber;
}
export declare function issueCertificates(certificateInfo: CertificateInfoInBatch[], blockchainProperties: IBlockchainProperties): Promise<Certificate['id'][]>;
export declare function transferCertificates(certificateIds: number[], to: string, blockchainProperties: IBlockchainProperties, from?: string, values?: BigNumber[]): Promise<ContractTransaction>;
export declare function claimCertificates(certificateIds: number[], claimData: IClaimData, blockchainProperties: IBlockchainProperties, forAddress?: string, values?: BigNumber[]): Promise<ContractTransaction>;
